#include <iostream>

using namespace std;

int main()
{
    int N, M;
    cin >> N >> M;
    int niz[N];
    for(int i = 0; i < N; i++){
        cin >> niz[i];
        if(niz[i] == M)
            niz[i] = 0;
    }
    int a = 0;
    int resenje = 0;
    for(int i = 0; i < M; i++){
        for(int j = 0; j < N; j++){
            if(niz[j]>0){
               a++;
               niz[j]--;
            }

        }
        resenje += a*(N-a);
        a = 0;
    }
    cout << resenje << endl;
    return 0;
}